%global theme_name     Greybird

Name:		greybird
Version:	3.22.14
Release:	%mkrel 1
Summary:	A clean minimalistic theme for Xfce, GTK+ 2 and 3
Group:		Graphical desktop/Xfce
License:	GPLv2+ or CC-BY-SA
URL:		https://github.com/shimmerproject/Greybird
Source0:	https://github.com/shimmerproject/Greybird/archive/v%{version}/Greybird-%{version}.tar.gz
Patch0:		light_remove_unity.patch
Patch1:		dark_remove_unity.patch
BuildArch:	noarch
BuildRequires:	meson
BuildRequires:	sassc
BuildRequires:	glib2.0-common
BuildRequires:	gdk-pixbuf2.0
BuildRequires:	librsvg2

%description
Greybird is a theme for GTK2/3 and xfwm4/metacity started out on the basis of
Bluebird, but aims at reworking the intense blue tone to a more neutral
grey-ish look that will be more pleasant to look at in everyday use.

%package xfce4-theme
Summary:	Meta package for Greybird Xfce themes
Requires:	%{name}-gtk2-theme
Requires:	%{name}-gtk3-theme
Requires:	%{name}-xfwm4-theme
Requires:	%{name}-xfce4-notifyd-theme

%description xfce4-theme
Themes for Xfce as part of the Greybird theme.

This package requires all separate themes needed in Xfce.

%package gtk2-theme
Summary:	Greybird GTK+2 themes
Requires:	gtk-murrine-engine >= 0.98.1.1
Recommends:	elementary-xfce-icon-theme

%description gtk2-theme
Themes for GTK+2 as part of the Greybird theme.

%package gtk3-theme
Summary:	Greybird GTK+3 themes
Recommends:	elementary-xfce-icon-theme

%description gtk3-theme
Themes for GTK+3 as part of the Greybird theme.

%package gnome-shell-theme
Summary:	Greybird gnome-shell theme
Requires:	gnome-shell

%description gnome-shell-theme
Theme for gnome-shell as part of the Greybird theme.

%package metacity-theme
Summary:	Greybird Metacity themes
Requires:	metacity

%description metacity-theme
Themes for Metacity as part of the Greybird theme.

%package xfwm4-theme
Summary:	Greybird Xfwm4 themes
Requires:	xfwm4

%description xfwm4-theme
Themes for Xfwm4 as part of the Greybird theme.

%package xfce4-notifyd-theme
Summary:	Greybird Xfce4 notifyd theme
Requires:	xfce4-notifyd

%description xfce4-notifyd-theme
Themes for Xfce4 notifyd as part of the Greybird theme.

%package emerald-theme
Summary:	Greybird Emerald theme
Requires:	emerald

%description emerald-theme
Theme for Emerald as part of Greybird theme.

%prep
%setup -q -n Greybird-%{version}
%autopatch -p0

# Cleanup
# Remove Unity theme
rm -fr light/unity
rm -fr dark/unity

%build
%meson
%meson_build

%install
%meson_install

# drop unwanted stuff
rm -rf %{buildroot}%{_datadir}/themes/Greybird{,-dark}/plank/dock.theme

%files xfce4-theme

%files gtk2-theme
%license LICENSE.GPL LICENSE.CC
%dir %{_datadir}/themes/Greybird{,-dark}/
%{_datadir}/themes/Greybird{,-dark}/index.theme
%{_datadir}/themes/Greybird{,-dark}/gtk-2.0/

%files gtk3-theme
%license LICENSE.GPL LICENSE.CC
%dir %{_datadir}/themes/Greybird{,-dark}/
%{_datadir}/themes/Greybird{,-dark}/index.theme
%{_datadir}/themes/Greybird{,-dark}/gtk-3.0/

%files gnome-shell-theme
%license LICENSE.GPL LICENSE.CC
%dir %{_datadir}/themes/Greybird{,-dark}/
%dir %{_datadir}/themes/Greybird{,-dark}/gnome-shell/
%{_datadir}/themes/Greybird{,-dark}/gnome-shell/gnome-shell.css

%files metacity-theme
%license LICENSE.GPL LICENSE.CC
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/Greybird{,-dark}/metacity-1/

%files xfwm4-theme
%license LICENSE.GPL LICENSE.CC
%dir %{_datadir}/themes/Greybird{,-dark}/
%{_datadir}/themes/Greybird{,-dark}/xfwm4/
%dir %{_datadir}/themes/Greybird{,-dark}-accessibility/
%{_datadir}/themes/Greybird{,-dark}-accessibility/xfwm4/
%dir %{_datadir}/themes/Greybird-compact/
%{_datadir}/themes/Greybird-compact/xfwm4/

%files xfce4-notifyd-theme
%license LICENSE.GPL LICENSE.CC
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/Greybird/xfce-notify-4.0/
%dir %{_datadir}/themes/Greybird-bright/
%{_datadir}/themes/Greybird-bright/xfce-notify-4.0/

%files emerald-theme
%license LICENSE.GPL LICENSE.CC
%dir %{_datadir}/themes/Greybird{,-dark}/
%{_datadir}/themes/Greybird{,-dark}/Greybird{,-dark}.emerald


%changelog
* Sun Jan 17 2021 wally <wally> 3.22.14-1.mga8
+ Revision: 1672180
- new version 3.22.14

* Sat Dec 05 2020 wally <wally> 3.22.13-1.mga8
+ Revision: 1652890
- new version 3.22.13

* Wed Mar 25 2020 wally <wally> 3.22.12-1.mga8
+ Revision: 1560242
- new version 3.22.12

* Wed Feb 19 2020 umeabot <umeabot> 3.22.11-2.mga8
+ Revision: 1543158
- Mageia 8 Mass Rebuild

* Wed Jan 15 2020 wally <wally> 3.22.11-1.mga8
+ Revision: 1478133
- new version 3.22.11
- add patches from Fedora to remove Unity stuff

* Mon Mar 04 2019 wally <wally> 3.22.10-2.mga7
+ Revision: 1371529
- drop gtk2-theme-engines requires from gtk2-theme

* Sun Feb 17 2019 wally <wally> 3.22.10-1.mga7
+ Revision: 1368060
- imported package greybird

